
local coin = [[|cffffffff%%d|r|TInterface\AddOns\UnitPrice\Textures\%s:0:0:1|t]];
local G = coin:format("Gold");
local S = coin:format("Silver");
local C = coin:format("Copper");
local GSC = G.." "..S.." "..C;
local GS = G.." "..S;
local GC = G.." "..C;
local SC = S.." "..C;

local function moneyFormat(amount)
    if (not amount) then 
        return "";
    end

    if (amount <= 0) then 
        return string.format(C, 0);
    end

    if (amount < 100) then 
        return string.format(C, amount);
    end

    if (amount < 10000) then
        local copper = amount % 100;
        if (copper > 0) then
            return string.format(SC, (amount - copper) / 100, copper);
        else
            return string.format(S, amount / 100);
        end
    else
        local copper = amount % 100;
        if (copper > 0) then
            local tmp = (amount - copper) / 100;
            local silver = tmp % 100;
            if (silver > 0) then
                return string.format(GSC, (tmp - silver) / 100, silver, copper);
            else
                return string.format(GC, tmp / 100, copper);
            end
        else
            local tmp = amount / 100;
            local silver = tmp % 100;
            if (silver > 0) then
                return string.format(GS, (tmp - silver) / 100, silver);
            else
                return string.format(G, tmp / 100);
            end
        end
    end
end

local AuctionFrameBrowse_Update_Old = AuctionFrameBrowse_Update;

local function AuctionFrameBrowse_Update_Hooked()
    AuctionFrameBrowse_Update_Old();

	local offset = FauxScrollFrame_GetOffset(BrowseScrollFrame);
	
	for i = 1, NUM_BROWSE_TO_DISPLAY do
		local name, _, count, _, _, _, min, inc, buy, bid =  GetAuctionItemInfo("list", offset + i);
		if (name) then
			local _, _, id = strfind(GetAuctionItemLink("list", offset + i) or "", "item:(%d+):");
			local stack = select(8, GetItemInfo(id));
			if (stack > 1) then
				bid = (bid > 0 and (bid + inc) or min);
				local item = getglobal("BrowseButton" .. i .. "Name");
				local text = moneyFormat(floor(bid / count));
				if (buy > 0) then
				 	text = text .. "/" .. moneyFormat(floor(buy / count));
				end
				item:SetText(item:GetText() .. "\n" .. "(" .. text .. ")")
			end
		end
	end
end

AuctionFrameBrowse_Update = AuctionFrameBrowse_Update_Hooked;
